"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var _default = function _default(defaultValue) {
  var _useState = (0, _react.useState)(defaultValue),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      setValue = _useState2[1];

  var valueRef = (0, _react.useRef)(defaultValue);
  var realSetValue = (0, _react.useCallback)(function (valueOrFunc) {
    if (typeof valueOrFunc === 'function') {
      valueRef.current = valueOrFunc(valueRef.current);
    } else {
      valueRef.current = valueOrFunc;
    }

    setValue(valueOrFunc);
  }, []);
  return [valueRef, realSetValue];
};

exports["default"] = _default;