"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _EyeInvisibleOutlined = _interopRequireDefault(require("@ant-design/icons/EyeInvisibleOutlined"));

var _EyeOutlined = _interopRequireDefault(require("@ant-design/icons/EyeOutlined"));

var _dict = require("../_config/dict");

var _input = _interopRequireDefault(require("./input"));

;
;

function PasswordInputItem(props, ref) {
  var type = props.type,
      _props$pwdVisible = props.pwdVisible,
      pwdVisible = _props$pwdVisible === void 0 ? true : _props$pwdVisible,
      _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? _dict.defaultPrefixCls : _props$prefixCls,
      addonAfter = props.addonAfter,
      restProps = (0, _objectWithoutProperties2["default"])(props, ["type", "pwdVisible", "prefixCls", "addonAfter"]);

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      isVisible = _useState2[0],
      setIsVisible = _useState2[1];

  var inputType = isVisible ? 'text' : 'password';

  var onChangeVisible = function onChangeVisible() {
    setIsVisible(!isVisible);
  };

  var realAddonAfter = pwdVisible ? /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, isVisible ? /*#__PURE__*/_react["default"].createElement(_EyeOutlined["default"], {
    className: "".concat(prefixCls, "-input-icon"),
    onClick: onChangeVisible
  }) : /*#__PURE__*/_react["default"].createElement(_EyeInvisibleOutlined["default"], {
    className: "".concat(prefixCls, "-input-icon"),
    onClick: onChangeVisible
  }), addonAfter && addonAfter) : addonAfter;
  return /*#__PURE__*/_react["default"].createElement(_input["default"], (0, _extends2["default"])({}, restProps, {
    type: inputType,
    ref: ref,
    addonAfter: realAddonAfter
  }));
}

;

var _default = /*#__PURE__*/(0, _react.forwardRef)(PasswordInputItem);

exports["default"] = _default;