"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _react2 = require("swiper/react");

;

var _default = function _default(props) {
  var _onInit = props.onInit,
      _onSlideChange = props.onSlideChange,
      otherProps = (0, _objectWithoutProperties2["default"])(props, ["onInit", "onSlideChange"]);

  var _useState = (0, _react.useState)(document.readyState === 'complete'),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      isReady = _useState2[0],
      setIsReady = _useState2[1]; // 设置initialSlide会在onInit之前调用onSlideChange方法
  // 因此该组件为了正确响应onSlideChange事件(即阻止设置初始值的onSlideChange事件)


  var isInit = (0, _react.useRef)(false);
  (0, _react.useEffect)(function () {
    if (!isReady) {
      var cb = function cb() {
        if (document.readyState === 'complete') {
          setIsReady(true);
        }
      };

      document.addEventListener('readystatechange', cb);
      return function () {
        document.removeEventListener('readystatechange', cb);
      };
    }
  }, []);

  if (!isReady) {
    return null;
  }

  return /*#__PURE__*/_react["default"].createElement(_react2.Swiper, (0, _extends2["default"])({}, otherProps, {
    onInit: function onInit() {
      isInit.current = true;
      typeof _onInit === 'function' && _onInit.apply(void 0, arguments);
    },
    onSlideChange: function onSlideChange() {
      if (isInit.current) {
        typeof _onSlideChange === 'function' && _onSlideChange.apply(void 0, arguments);
      }
    }
  }));
};

exports["default"] = _default;