"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

var _index = _interopRequireDefault(require("./index"));

var _default = function _default(props) {
  var _props$show = props.show,
      show = _props$show === void 0 ? true : _props$show;

  var _useState = (0, _react.useState)(true),
      _useState2 = (0, _slicedToArray2["default"])(_useState, 2),
      isFirst = _useState2[0],
      setIsFirst = _useState2[1];

  var timer = (0, _react.useRef)();
  (0, _react.useEffect)(function () {
    timer.current = window.setTimeout(function () {
      setIsFirst(false);
      timer.current = undefined;
    }, 0);
    return function () {
      if (timer.current) {
        clearTimeout(timer.current);
      }
    };
  }, []);
  return /*#__PURE__*/_react["default"].createElement(_index["default"], (0, _extends2["default"])({}, props, {
    show: isFirst ? false : show
  }));
};

exports["default"] = _default;