import _extends from "@babel/runtime/helpers/extends";
import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import React, { useEffect, useRef, useState } from 'react';
import Slide from './index';
export default (function (props) {
  var _props$show = props.show,
      show = _props$show === void 0 ? true : _props$show;

  var _useState = useState(true),
      _useState2 = _slicedToArray(_useState, 2),
      isFirst = _useState2[0],
      setIsFirst = _useState2[1];

  var timer = useRef();
  useEffect(function () {
    timer.current = window.setTimeout(function () {
      setIsFirst(false);
      timer.current = undefined;
    }, 0);
    return function () {
      if (timer.current) {
        clearTimeout(timer.current);
      }
    };
  }, []);
  return /*#__PURE__*/React.createElement(Slide, _extends({}, props, {
    show: isFirst ? false : show
  }));
});