"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _typeof2 = _interopRequireDefault(require("@babel/runtime/helpers/typeof"));

var _react = require("react");

var _toast = _interopRequireDefault(require("../../toast"));

require("../../toast/style/css");

var _pageBackListener = _interopRequireDefault(require("../../page-back-listener"));

var _default = function _default() {
  var configOrContent = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '再按一次返回键退出此页面';
  var effectRef = (0, _react.useRef)();
  (0, _react.useEffect)(function () {
    var l = new _pageBackListener["default"](function (reListen) {
      _toast["default"].info(configOrContent);

      var duration = 2000;

      if ((0, _typeof2["default"])(configOrContent) === 'object' && configOrContent.duration && configOrContent.duration > 0) {
        duration = configOrContent.duration;
      }

      effectRef.current = window.setTimeout(function () {
        reListen();
      }, duration);
    });
    return function () {
      l.removeEffect();
      clearTimeout(effectRef.current);
    };
  }, []);
};

exports["default"] = _default;