/// <reference types="react" />
import { CommonSkeletenProps } from './base';
import { AvatarSkeletonProps } from './avatar';
import { TitleSkeletonProps } from './title';
import { ParagraphSkeletonProps } from './paragraph';
export interface ArticleSkeletonProps extends CommonSkeletenProps {
    avatar?: boolean;
    title?: boolean;
    paragraph?: boolean;
    avatarConfig?: AvatarSkeletonProps;
    titleConfig?: TitleSkeletonProps;
    paragraphConfig?: ParagraphSkeletonProps;
}
declare const _default: (props: ArticleSkeletonProps) => JSX.Element;
export default _default;
